Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -X -L PUT "https://api.box.com/2.0/integration_mappings/slack/512521" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H 'content-type: application/json' \
-d'{
"options": {
"is_access_management_disabled": true
}
}'{
"id": "12345",
"type": "integration_mapping",
"partner_item": {
"id": "C12378991223",
"type": "channel",
"slack_org_id": "E1234567"
},
"box_item": {
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
},
"integration_type": "slack",
"is_manually_created": true,
"options": {
"is_access_management_disabled": true
},
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"modified_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}Slack統合マッピングを更新します。BoxフォルダIDおよびオプションの更新をサポートします。
このエンドポイントを使用するには、管理者または共同管理者の役割が必要です。
curl -X -L PUT "https://api.box.com/2.0/integration_mappings/slack/512521" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H 'content-type: application/json' \
-d'{
"options": {
"is_access_management_disabled": true
}
}'{
"id": "12345",
"type": "integration_mapping",
"partner_item": {
"id": "C12378991223",
"type": "channel",
"slack_org_id": "E1234567"
},
"box_item": {
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
},
"integration_type": "slack",
"is_manually_created": true,
"options": {
"is_access_management_disabled": true
},
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"modified_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}The access token received from the authorization server in the OAuth 2.0 flow.
統合マッピングのID。
At least one of box_item and options must be provided.
更新された統合マッピングオブジェクトを返します。
統合マッピングオブジェクトのSlack固有のレプリゼンテーション。
フォルダマッピングの一意の識別子 (integration_typeとともに複合キーの一部)。
"12345"
マッピングタイプ。
integration_mapping "integration_mapping"
Slack用にマッピングされた項目オブジェクト。
Show child attributes
{
"id": "C12378991223",
"type": "channel",
"slack_org_id": "E1234567"
}パートナーアプリのドメインのオブジェクト (partner_item_idで参照) のマッピング先であるBoxフォルダ。
Show child attributes
マッピングが関連付けられているBoxパートナーアプリを示します。現在サポートされているのはSlackのみです (idとともに複合キーの一部)。
slack "slack"
マッピングが (自動作成されたのではなく) 手動で設定されているかどうかを示します。
true
Slackタイプの統合マッピングオプションオブジェクトのスキーマ。
Show child attributes
統合マッピングを作成したユーザーを表すオブジェクト。
Show child attributes
統合マッピングを最後に変更したユーザー。
Show child attributes
統合マッピングオブジェクトが作成された日時。
"2012-12-12T10:53:43-08:00"
統合マッピングオブジェクトが最後に変更された日時。
"2012-12-12T10:53:43-08:00"
このページは役に立ちましたか?